Skip to main content
`Ctrl`+`K`

# NEPCISSGetRefinement

Gets the values of various refinement parameters in the CISS solver.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPCISSGetRefinement(NEP nep, PetscInt *inner, PetscInt *blsize)

Not Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameters

- inner - number of iterative refinement iterations (inner loop)

- blsize - number of iterative refinement iterations (blocksize loop)

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPCISS`, `NEPCISSSetRefinement()`

## Level

advanced

## Location

src/nep/impls/ciss/nciss.c

## Implementations

NEPCISSGetRefinement_CISS() in src/nep/impls/ciss/nciss.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages